From bda050b4e346c5b81300a3be7663e9b62df562fc Mon Sep 17 00:00:00 2001
From: Jelle van der Waa <jelle@archlinux.org>
Date: Wed, 7 Aug 2019 12:06:51 +0200
Subject: [PATCH] bin: make build scripts Python3 compatible

---
 bin/make_backend_docs.py | 10 ++++++----
 bin/make_manual.py       |  8 ++++----
 2 files changed, 10 insertions(+), 8 deletions(-)

diff --git a/bin/make_backend_docs.py b/bin/make_backend_docs.py
index 046433050..2338d2bc6 100755
--- a/bin/make_backend_docs.py
+++ b/bin/make_backend_docs.py
@@ -1,8 +1,10 @@
-#!/usr/bin/env python2
+#!/usr/bin/env python
 """
 Make backend documentation
 """
 
+from __future__ import print_function
+
 import os
 import subprocess
 
@@ -52,9 +54,9 @@ if __name__ == "__main__":
     for backend in find_backends():
         try:
             alter_doc(backend)
-        except Exception, e:
-            print "Failed adding docs for %s backend: %s" % (backend, e)
+        except Exception as e:
+            print("Failed adding docs for %s backend: %s" % (backend, e))
             failed += 1
         else:
             success += 1
-    print "Added docs for %d backends with %d failures" % (success, failed)
+    print("Added docs for %d backends with %d failures" % (success, failed))
diff --git a/bin/make_manual.py b/bin/make_manual.py
index 0ab298646..f17379427 100755
--- a/bin/make_manual.py
+++ b/bin/make_manual.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python2
+#!/usr/bin/env python
 """
 Make single page versions of the documentation for release and
 conversion into man pages etc.
@@ -115,8 +115,8 @@ def check_docs(docpath):
     docs_set = set(docs)
     if files == docs_set:
         return
-    print "Files on disk but not in docs variable: %s" % ", ".join(files - docs_set)
-    print "Files in docs variable but not on disk: %s" % ", ".join(docs_set - files)
+    print("Files on disk but not in docs variable: %s" % ", ".join(files - docs_set))
+    print("Files in docs variable but not on disk: %s" % ", ".join(docs_set - files))
     raise ValueError("Missing files")
 
 def read_command(command):
@@ -153,7 +153,7 @@ def main():
             if doc == "docs.md":
                 contents = re.sub(r"The main rclone commands.*?for the full list.", command_docs, contents, 0, re.S)
             out.write(contents)
-    print "Written '%s'" % outfile
+    print("Written '%s'" % outfile)
 
 if __name__ == "__main__":
     main()
-- 
2.22.0

